@import "vendor/bootstrap/bootstrap/variables";
@import "components/flex-row";
@import "variables";

.services-page {
  background-color: $color-white;
}

.services-inner {
  background-color: $body-bg;
}

.page-headline {
  color: $color-primary;

  @media (min-width: $screen-md-min) {
    margin-top: 80px;
  }
}

.headline-subtitle {
  color: $color-gray;
  margin: 20px auto;
  max-width: 800px;
}

.services-block {
  padding: 40px 0;
}

.service-item {
  padding-left: 42px;
  padding-right: 24px;
  position: relative;

  @media (max-width: $screen-sm-min) {
    padding-top: 20px;
    padding-bottom: 10px;
  }
}

.service-icon {
  position: absolute;
  left: -4px;
  top: -2px;

  @media (max-width: $screen-sm-min) {
    left: 0;
    top: 0;
    position: relative;
    display: inline-block;
    padding-right: 10px;
  }

  svg {
    width: 30px;
    height: 30px;
    fill: $color-primary;
  }
}

.service-name {
  color: $color-primary;
  font-size: 24px;
  margin-bottom: 10px;

  @media (max-width: $screen-sm-min) {
    position: relative;
    display: inline-block;
    vertical-align: top;
  }
}

.service-description {
  color: $color-gray;
  margin-bottom: 30px;

  @media (min-width: $screen-md-min) {
    margin-bottom: 80px;
  }
}

.service-para {
  color: $text-color-light;
  font-size: 18px;
  font-weight: 300;
  margin-bottom: 30px;
}

.services-form {
  padding-top: 0;
  border-top: 1px solid $border-color;

  @media (min-width: $screen-md-min) {
    padding-top: 45px;
  }

  h2 {
    font-size: 30px;
    color: $color-primary;
    margin-bottom: 40px;
  }

  // scss-lint:disable QualifyingElement
  label[for="implementationServiceRequested"],
  label[for="migrationServicesRequested"],
  label[for="educationRequested"],
  label[for="specializedTrainingsRequested"] {
    color: $text-color-light;
  }
}
// scss-lint:enable SelectorFormat

.services-text {
  color: $text-color-light;
  font-size: 18px;
  line-height: 1.6;
}

.iframe-container {
  display: none;
  position: fixed;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  background: $blog-color-image-to;
  justify-content: center;
  align-items: center;
  z-index: 10000;
  cursor: pointer;

  iframe {
    background-color: $color-black;
    box-shadow: 0 10px 20px $color-transparent-alt;
    width: 77%;
    height: 80%;
    min-height: 300px;

    @media (max-width: $screen-sm-min) {
      height: auto;
    }

  }

}
